VACATION(1zm)

NAME
vacation - reply to mail automatically

SYNOPSIS

vacation start

vacation stop

vacation
    -I

vacation
    [-t N] [-m Msgfile] [-d] [user]

DESCRIPTION
vacation automatically replies to incoming mail. The canned reply is contained in the file .vacation.msg, that you should create in your home directory (or the file Msgfile specifiedby in the -m option).

This file should include a header with at least a ``Subject:'' line (it should not include a ``To:'' line -- if you want, you may include a From: line, especially if you use the -m option). For example:

    Subject: I am on vacation
    I am on vacation until July 22.
    If you have something urgent, please contact
    Joe Jones (joe@blah.utoronto.ca).
         --john

No message is sent if the "user" specified in the vacation command (if nothing is specified, it uses your username) does not appear explicitly in the To: or Cc: lines of the message, which prevents messages from being sent back to mailing lists and causing loops.

USAGE

To start vacation, run the command
    vacation start

It will create a .vacation.msg file (if you don't already have one) in your home directory containing the message you want to send people who send you mail, and a
    .forward
file in your home directory containing a line of the form:
    "\name", "|/usr/local/sbin/vacation name"

Where name is your login name.

Make sure these files and your home directory are readable by everyone. Also make sure that no one else can write to them, and that no one can write to your home directory.

    chmod og-w $HOME $HOME/.forward

To stop vacation(1zm), run the command:

    vacation stop

It will move the .forward file to .vacforward,
and the automatic replies will stop.

OPTIONS

-I, -i
    initialize the .vacation.pag and .vacation.dir files and start vacation.

    If the -I( or -i") flag is not specified, vacation tries to reply to the sender.

-tN Change the interval between repeat replies to the same sender. The default is 1 week. A trailing s, m, h, d, or w scales N to seconds, minutes, hours, days, or weeks respectively.

-mMsgfile
    specifies the file in which the message to be sent is kept. The default is $HOME/.vacation.msg.

-r interval
    defines interval in days when not to answer again to the same sender. (Default is 1 day.)

-d  disables the list of senders kept in the .vacation.pag and .vacation.dir files.

FILES
A list of senders is kept in the files .vacation.pag and .vacation.dir in your home directory. These are dbm database files. (Note: not all database systems have two files, either may be missing.) The vacation message is in .vacation.msg and the automatic reply is activated by the .forward (and saved in .vacforward) The default vacation message is stored in /usr/local/etc/zmailer/vacation.msg

ZMAILER NOTES
On machines running ZMailer, the name argument to vacation is optional, and the USER environment variable is used to determine where to look for the message and the list of previous recipients.

The SENDER variable is checked first to determine the reply destination. It is normally set to the SMTP ``MAIL FROM'' address or equivalent. This is an additional safeguard against sending replies to mailing lists, the PostMaster or the mailer daemon, since standards and common sense dictate that it never points back to an address that could cause a loop. The From_ line is used only as a last resort.

SEE ALSO
sendmail(8zm), zmailer.conf(5zm), Zmailer Manual (http://zmailer.org/)

AUTHOR
This program is originally the BSD vacation(1) by:
    Eric Allman
It was adapted to ZMailer environment by:
    Rayan Zachariassen <no address>
Further modified over the years 1988-2001 by:
    Matti Aarnio <mea@nic.funet.fi>